---
apiVersion: apps/v1
kind: DaemonSet
metadata:
  namespace: monitoring
  name: dmesg-exporter
spec:
  selector:
    matchLabels:
      app: dmesg
  template:
    metadata:
      labels:
        app: dmesg
    spec:
      volumes:
        - name: kmsg
          hostPath:
            path: /dev/kmsg
      containers:
        - name: dmesg
          image: registry.gitlab.com/disappointment-industries/container-images/dmesg-exporter-image:latest
          securityContext:
            privileged: true
          volumeMounts:
            - mountPath: /dev/kmsg
              name: kmsg
          ports:
            - containerPort: 9000
              name: metrics
      hostNetwork: true

---
apiVersion: operator.victoriametrics.com/v1beta1
kind: VMPodScrape
metadata:
  name: dmesg-exporter
  namespace: monitoring
spec:
  jobLabel: dmesg-exporter
  podMetricsEndpoints:
    - path: /metrics
      port: metrics
      scheme: http
  selector:
    matchLabels:
      app: dmesg

